Package weka.knowledgeflow

# Class BaseExecutionEnvironment.BaseExecutionEnvironmentDefaults

java.lang.Object
weka.core.Defaults
weka.knowledgeflow.BaseExecutionEnvironment.BaseExecutionEnvironmentDefaults

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  BaseExecutionEnvironment

public static class BaseExecutionEnvironment.BaseExecutionEnvironmentDefaults extends Defaults
Defaults for the base execution environment

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS`
  Default (0) means use as many threads as there are cpu processors
  `static final Settings.SettingKey`
  `RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS_KEY`
  `static final int`
  `STEP_EXECUTOR_SERVICE_NUM_THREADS`
  `static final Settings.SettingKey`
  `STEP_EXECUTOR_SERVICE_NUM_THREADS_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseExecutionEnvironmentDefaults()`

- ## Method Summary

  ### Methods inherited from class weka.core.Defaults

  `add, getDefaults, getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STEP_EXECUTOR_SERVICE_NUM_THREADS_KEY

    public static final Settings.SettingKey STEP_EXECUTOR_SERVICE_NUM_THREADS_KEY

  - ### STEP_EXECUTOR_SERVICE_NUM_THREADS

    public static final int STEP_EXECUTOR_SERVICE_NUM_THREADS
    See Also:
      - Constant Field Values

  - ### RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS_KEY

    public static final Settings.SettingKey RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS_KEY

  - ### RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS

    public static final int RESOURCE_INTENSIVE_EXECUTOR_SERVICE_NUM_THREADS
    Default (0) means use as many threads as there are cpu processors
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BaseExecutionEnvironmentDefaults

    public BaseExecutionEnvironmentDefaults()